=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2011-11-28 15:59:39 +0000
+++ bzrlib/remote.py	2011-12-05 12:46:42 +0000
@@ -1895,6 +1895,10 @@
         # the InterRepository base class, which raises an
         # IncompatibleRepositories when asked to fetch.
         inter = _mod_repository.InterRepository.get(source, self)
+        if (fetch_spec is not None and
+            not getattr(inter, "supports_fetch_spec", False)):
+            raise errors.UnsupportedOperation(
+                "fetch_spec not supported for %r" % inter)
         return inter.fetch(revision_id=revision_id,
             find_ghosts=find_ghosts, fetch_spec=fetch_spec)
 

